//
// Created by jovian on 18/07/17.
//

#include "Controller.h"

Controller::Controller()
        : m_jump(false), m_firing(false), m_shield(false),
          m_visor(0.0f, 0.0f), m_move(0.0f, 0.0f), m_zoomScale(1.0f) {

}

bool Controller::isJumping() const {
    return m_jump;
}

bool Controller::isFiring() const {
    return m_firing;
}

bool Controller::isShielded() const {
    return m_shield;
}

const b2Vec2 &Controller::getVisor() const {
    return m_visor;
}

const b2Vec2 &Controller::getMove() const {
    return m_move;
}

float Controller::getZoomScale() const {
    return m_zoomScale;
}

